import { Condition } from './index';
import fc from 'fast-check';
export declare const nonEmptyString: () => fc.Arbitrary<string>;
export declare const id: () => fc.Arbitrary<string>;
export declare const nonModelObject: () => fc.Arbitrary<unknown>;
export declare const modelBase: () => fc.Arbitrary<{
    id: string;
}>;
export declare const modelData: () => fc.Arbitrary<object>;
export declare const model: () => fc.Arbitrary<{
    id: string;
}>;
export declare const modelAndUpdate: () => fc.Arbitrary<[{
    id: string;
}, {
    id: string;
}]>;
export declare const operation: () => fc.Arbitrary<FirebaseFirestore.WhereFilterOp>;
export declare const condition: () => fc.Arbitrary<Condition>;
export declare const modelAndConditions: () => fc.Arbitrary<[{
    id: string;
}, Condition[]]>;
export declare const models: () => fc.Arbitrary<{
    id: string;
}[]>;
export declare const table: () => fc.Arbitrary<string>;
